Skip to content

Get Customer Document Download Link

Required scope: customer_file:read

This endpoint returns a signed download URL that is valid for 15 minutes.

Generated Reference
POST /public-api/publicapi.v1.Customer/GetCustomerDocumentDownloadLink

Returns a short-lived download URL for a customer document.

Request GetCustomerDocumentDownloadLinkRequest
Response GetCustomerDocumentDownloadLinkResponse

GetCustomerDocumentDownloadLinkRequest

Field Type
customer_id string
document_id string
visibility CustomerFileVisibility

GetCustomerDocumentDownloadLinkResponse

Field Type
download_url string
expires_at int64
{
"customerId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"documentId": "cba8fef4-4fd2-4be6-af77-326e716ef130",
"visibility": "PUBLIC_CUSTOMER_FILE_VISIBILITY_CUSTOMER"
}
{
"downloadUrl": "https://storage.example/signed-get-url",
"expiresAt": 1760000900
}